Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vut.msa.pojos
Class Backup

    java.lang.Object
      vut.msa.pojos.Backup

All Implemented Interfaces:
  java.io.Serializable

    public class Backup

extends java.lang.Object
implements java.io.Serializable

Trieda predstavuje zalohu ulozenu na server. Trieda je namapovana na tabulku backups v databaze.

See Also:
  Serialized Form

Constructor Summary
`Backup()`
`Backup(int id, Client client, java.util.Date uploadDate, double size, int success, java.lang.String path, BackupType type)`

Method Summary
`Client` | `getClient()`
`int` | `getDocumentsCount()`
`int` | `getId()`
`java.lang.String` | `getPath()`
`double` | `getSize()`
`int` | `getSuccess()`
`java.lang.String` | `getType()`
`java.sql.Timestamp` | `getUploadDate()`
`java.lang.String` | `getUploadDateString()`
`java.lang.String` | `getUploadTimeString()`
`int` | `getVersion()`
`void` | `setClient(Client client)`
`void` | `setDocumentsCount(int documentsCount)`
`void` | `setId(int id)`
`void` | `setPath(java.lang.String path)`
`void` | `setSize(double size)`
`void` | `setSuccess(int success)`
`void` | `setType(java.lang.String type)`
`void` | `setUploadDate(java.util.Date uploadDate)`
`void` | `setVersion(int version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Backup

    public Backup()

### Backup

    public Backup(int id,
                  Client client,
                  java.util.Date uploadDate,
                  double size,
                  int success,
                  java.lang.String path,
                  BackupType type)

Method Detail

### getClient

    public Client getClient()

### setClient

    public void setClient(Client client)

### getDocumentsCount

    public int getDocumentsCount()

### setDocumentsCount

    public void setDocumentsCount(int documentsCount)

### getId

    public int getId()

### setId

    public void setId(int id)

### getPath

    public java.lang.String getPath()

### setPath

    public void setPath(java.lang.String path)

### getSize

    public double getSize()

### setSize

    public void setSize(double size)

### getSuccess

    public int getSuccess()

### setSuccess

    public void setSuccess(int success)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getUploadDate

    public java.sql.Timestamp getUploadDate()

### setUploadDate

    public void setUploadDate(java.util.Date uploadDate)

### getVersion

    public int getVersion()

### setVersion

    public void setVersion(int version)

### getUploadDateString

    public java.lang.String getUploadDateString()

### getUploadTimeString

    public java.lang.String getUploadTimeString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD